> For the complete documentation index, see [llms.txt](https://docs.nexthink.com/platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nexthink.com/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-vdi-environment/vdi-platform-specific-deployment-scenarios/aws-workspaces-applications.md).

# AWS Workspaces applications

Amazon WorkSpaces applications is a fully managed application streaming service that delivers centrally hosted applications or non-persistent desktop sessions from AWS to users using the browser or a client, without providing dedicated persistent desktops.

{% stepper %}
{% step %}

### Set up the connector

Configure Nexthink to connect to AWS Workspaces applications for session metadata ingestion. This step ensures that contextual data is available to enrich insights within the VDI Experience module.

To set up the connector, perform the procedure described in [AWS WorkSpaces connector](/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/integrating-nexthink-with-third-party-tools/inbound-connectors/connector-for-aws-workspaces.md).
{% endstep %}

{% step %}

### Install Collector on VMs

#### Manual or automated deployment

Install Collector as a standard agent in the **Image** used to deploy the **Fleet**.

For this scenario, perform the procedures described in the following documentation:

1. [Configuring Collector for VMs](/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows/configuring-collector-on-vm-tp.md)
2. [Installing Collector on VMs](/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows/installing-collector-on-vm-tp.md)
3. [Deploying Collector](/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows/deploying-collector-on-windows-tp.md#installingcollectoronwindows-deployingcollectorusingactivedirectorygrouppolicy)
   {% endstep %}

{% step %}

### Test the connector and Collector

#### Connector

Confirm that device and session data is being enriched with information from the connector integration by verifying fields such as:

* Disk Image
* Desktop Pool
* Virtualization Type

To test enrichment, ensure that Collector is installed on the VMs and is operational. Check if the expected devices are reported, and the displayed values match expectations by running the following query:

{% code lineNumbers="true" %}

```sql
devices
| where virtualization.desktop_broker == aws_appstream
| list name, hardware.type, virtualization.disk_image, virtualization.desktop_pool, virtualization.environment_name, virtualization.hypervisor_name, virtualization.type, virtualization.last_update
| sort virtualization.last_update desc
```

{% endcode %}

For more information about running queries, see the [Investigations](/platform/user-guide/investigations.md) documentation.

#### Collector on VMs

{% hint style="info" %}
If needed, contact Nexthink support or your Nexthink representative.
{% endhint %}

Ensure data such as the following are visible in Nexthink:

* Device ID
* User Name

To check this, run the following query:

{% code lineNumbers="true" %}

```sql
vdi_sessions
| where device.virtualization.desktop_broker == aws_appstream
| list vdi_session.name, user.name, device.name, first_seen
| sort first_seen desc
```

{% endcode %}
{% endstep %}
{% endstepper %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nexthink.com/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-vdi-environment/vdi-platform-specific-deployment-scenarios/aws-workspaces-applications.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
